// Id:编号, RedPageItem:红包道具, RedPageQuantity:红包数量（除以10）, Weight:权重

export default class Fish_RedPackagelotteryCFG {
  private static data =
      {"1":{"Id":1,"RedPageItem":107,"RedPageQuantity":40,"Weight":0}

      ,"2":{"Id":2,"RedPageItem":107,"RedPageQuantity":45,"Weight":3}

      ,"3":{"Id":3,"RedPageItem":107,"RedPageQuantity":50,"Weight":50}

      ,"4":{"Id":4,"RedPageItem":107,"RedPageQuantity":55,"Weight":40}

      ,"5":{"Id":5,"RedPageItem":107,"RedPageQuantity":60,"Weight":7}

      }// Id:编号, RedPageItem:红包道具, RedPageQuantity:红包数量（除以10）, Weight:权重


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}